# Class HelpClient

#### Hierarchy

- HelpClient

- Defined in src/protobuf/GrpcServiceClientPb.ts:23

#####
Index

### Constructors

constructor

### Properties

client_
credentials_
hostname_
methodDescriptorGetMethodHelp
options_

### Methods

getMethodHelp

## Constructors

### constructor

- new HelpClient(hostname: string, credentials?: null | {
  [index: string]: string;
  }, options?: null | {
  [index: string]: any;
  }): HelpClient

- #### Parameters

  - ##### hostname: string

  - ##### `Optional` credentials: null | {
    [index: string]: string;
    }

  - ##### `Optional` options: null | {
    [index: string]: any;
    }

  #### Returns HelpClient

  - Defined in src/protobuf/GrpcServiceClientPb.ts:29

## Properties

### client_

client_: AbstractClientBase

- Defined in src/protobuf/GrpcServiceClientPb.ts:24

### credentials_

credentials_: null | {
[index: string]: string;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:26

### hostname_

hostname_: string

- Defined in src/protobuf/GrpcServiceClientPb.ts:25

### methodDescriptorGetMethodHelp

methodDescriptorGetMethodHelp: MethodDescriptor<GetMethodHelpRequest, GetMethodHelpReply> = ...

- Defined in src/protobuf/GrpcServiceClientPb.ts:42

### options_

options_: null | {
[index: string]: any;
}

- Defined in src/protobuf/GrpcServiceClientPb.ts:27

## Methods

### getMethodHelp

- getMethodHelp(request: GetMethodHelpRequest, metadata?: null | Metadata): Promise<GetMethodHelpReply>

- #### Parameters

  - ##### request: GetMethodHelpRequest

  - ##### `Optional` metadata: null | Metadata

  #### Returns Promise<GetMethodHelpReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:53
- getMethodHelp(request: GetMethodHelpRequest, metadata: null | Metadata, callback: ((err: RpcError, response: GetMethodHelpReply) => void)): ClientReadableStream<GetMethodHelpReply>

- #### Parameters

  - ##### request: GetMethodHelpRequest

  - ##### metadata: null | Metadata

  - ##### callback: ((err: RpcError, response: GetMethodHelpReply) => void)

    - - (err: RpcError, response: GetMethodHelpReply): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: GetMethodHelpReply

        #### Returns void

  #### Returns ClientReadableStream<GetMethodHelpReply>

  - Defined in src/protobuf/GrpcServiceClientPb.ts:57

Generated using TypeDoc